Download a work order comment attachment
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/comments/{commentId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}Work Order Comments & Shipments
Download a work order comment attachment
Download the binary file for an attachment on a work order comment.
GET
/
work-orders
/
{workOrderId}
/
comments
/
{commentId}
/
attachments
/
{attachmentId}
Download a work order comment attachment
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the work order.
ID of the comment the attachment belongs to.
ID of the attachment to download.
Response
The binary attachment file.
The response is of type file.
⌘I